Notas de versão do IDE NetBeans 6.0.1

O IDE NetBeans é um ambiente de desenvolvimento integrado, modular e baseado em padrões, escrito na linguagem de programação Java. O projeto do NetBeans consiste em um IDE de código aberto escrito na linguagem de programação Java e em uma plataforma da aplicação , que pode ser utilizada como uma estrutura genérica para construir qualquer tipo de aplicação.

Conteúdo


O NetBeans IDE 6.0.1 é uma pequena atualização para o NetBeans IDE 6.0 e inclui as seguintes alterações:

  • A adição das localizações do japonês, chinês simplificado e português do Brasil.
  • O Glassfish V2 é substituído pelo V2 UR1.
  • A integração das correções de erro de dezembro de 2007 e janeiro de 2008 listadas na seguinte página: http://wiki.netbeans.org/wiki/view/NetBeans6.0PatchesInfo.

    Se você já instalou o NetBeans IDE 6.0, poderá obter essas correções através do gerenciador Plug-ins do IDE sem baixar a versão 6.0.1. No IDE, escolha Ferramentas > Plug-ins, selecione a aba Atualizar e, em seguida, selecione as atualizações apropriadas.

Para obter informações sobre os recursos de desenvolvimento principais no NetBeans IDE, consulte a página Informações sobre o NetBeans IDE 6.0.

Tecnologias compatíveis


O IDE NetBeans 6.0. é compatível com as seguintes tecnologias e foi testado com os seguintes servidores de aplicações. Se você pretende usar versões do JBoss, WebLogic ou Struts em vez de versões relacionadas, observe que poderá enfrentar comportamentos imprevisíveis do IDE, como resultado do uso de tecnologias como interfaces, sobre as quais a equipe do projeto tem pouco ou nenhum controle.


Tecnologias compatíveis:
  • Enterprise JavaBeans (EJB) 3.0
  • JAX-WS 2.1
  • Java Persistence (JSR-220)
  • JavaServer Faces 1.2 (JSR-127)
  • Java Servlet 2.5
  • JavaServer Pages (JSP) 2.1
  • Struts 1.2.9
  • Java API for XML-based Remote Procedure Calls (JAX-RPC) 1.6
  • Java APIs for XML Registries (JAXR) 1.0
  • Java API for XML Processing (JAXR) 1.4
  • Java Architecture for XML Binding (JAXB) 2.1
  • JavaServer Pages Standard Tag Library (JSTL) 1.1


Servidores da aplicação testados:
  • Sun Java System Application Server 9.0 (GlassFish V1)
  • Sun Java System Application Server 9.1 (GlassFish V2)
  • Sun Java System Application Server PE 8.2
  • Tomcat 5.5
  • Tomcat 6.0
  • JBoss 4.0.4
  • Websphere 6.0
  • WebLogic 9.2
  • WebLogic 10


Observação: se você estiver usando o servidor da aplicação GlassFish, recomendamos que execute o GlassFish V2 para que ele funcione com o IDE NetBeans 6.0.

Requisitos do sistema

O IDE NetBeans é executado em sistemas operacionais que aceitam a Java VM e que foram testados nas plataformas relacionadas abaixo.

Nota: a resolução mínima de tela do IDE é 1024 X 768 pixels.


Sistemas operacionais compatíveis

Configurações mínimas de hardware

  • Microsoft Windows XP Professional SP2:
    • Processador: 800 MHz Intel Pentium III ou equivalente
    • Memória: 512 MB
    • Espaço em disco: 850 MB de espaço livre em disco

  • Microsoft Windows Vista:
    • Processador: 800 MHz Intel Pentium III ou equivalente
    • Memória: 512 MB
    • Espaço em disco: 850 MB de espaço livre em disco

  • Ubuntu 7.x:
    • Processador: 800 MHz Intel Pentium III ou equivalente
    • Memória: 512 MB
    • Espaço em disco: 450 MB de espaço livre em disco

  • Red Hat EL 4:
    • Processador: 800 MHz Intel Pentium III ou equivalente
    • Memória: 512 MB
    • Espaço em disco: 450 MB de espaço livre em disco

  • Solaris OS versão 10 (SPARC):
    • Processador: UltraSPARC II 450 MHz
    • Memória: 512 MB
    • Espaço em disco: 450 MB de espaço livre em disco

  • Solaris OS versão 10 (edição plataforma x86/x64):
    • Processador: AMD Opteron 1200 Series 1,8 GHz
    • Memória: 512 MB
    • Espaço em disco: 450 MB de espaço livre em disco

  • Macintosh OS X 10.4.9 Intel:
    • Processador: Intel Dual Core
    • Memória: 512 MB
    • Espaço em disco: 450 MB de espaço livre em disco

  • Macintosh OS X 10.4.9 PPC:
    • Processador: PowerPC G4
    • Memória: 512 MB
    • Espaço em disco: 450 MB de espaço livre em disco
    Para obter mais informações, consulte Como utilizar o NetBeans em Mac OS X

Configurações de hardware recomendadas

  • Microsoft Windows XP Professional SP2:
    • Processador: 2,6 GHz Intel Premium IV ou equivalente
    • Memória: 1 GB
    • Espaço em disco: 1 GB de espaço livre em disco

  • Microsoft Windows Vista:
    • Processador: 2,6 GHz Intel Premium IV ou equivalente
    • Memória: 1 GB
    • Espaço em disco: 1 GB de espaço livre em disco

  • Ubuntu 7.x:
    • Processador: 2,6 GHz Intel Premium IV ou equivalente
    • Memória: 1 GB
    • Espaço em disco: 850 MB de espaço livre em disco

  • Red Hat EL 4:
    • Processador: 2,6 GHz Intel Premium IV ou equivalente
    • Memória: 1 GB
    • Espaço em disco: 850 MB de espaço livre em disco

  • Solaris OS versão 10 (SPARC):
    • Processador: UltraSPARC IIIi 1 GHz
    • Memória: 1 GB
    • Espaço em disco: 850 MB de espaço livre em disco

  • Solaris OS versão 10 (edição plataforma x86/x64):
    • Processador: AMD Opteron 1200 Series 2,8 GHz
    • Memória: 1 GB
    • Espaço em disco: 850 MB de espaço livre em disco

  • Macintosh OS X 10.4.9 Intel:
    • Processador: Intel Dual Core
    • Memória: 1 GB
    • Espaço em disco: 850 MB de espaço livre em disco

  • Macintosh OS X 10.4.9 PPC:
    • Processador: PowerPC G5
    • Memória: 1 GB
    • Espaço em disco: 850 MB de espaço livre em disco
    Para obter mais informações, consulte Como utilizar o NetBeans em Mac OS X



O IDE NetBeans também pode ser executado nas seguintes plataformas:

  • Java Desktop System 2
  • Microsoft Windows 2000 Professional SP4
  • Mac OS X 10.4.5 Intel
  • Diversas outras distribuições do Linux, como o Red Hat Enterprise Linux


Nota: enquanto os requisitos de sistema acima se aplicam à maior parte das configurações do IDE, algumas áreas do suporte ao Web e ao Java EE do NetBeans são particularmente exigentes com os recursos do sistema, especialmente quando usadas em combinação com outros servidores de aplicações. Para obter melhores resultados ao desenvolver aplicações Web e Java EE, certifique-se de que seu sistema atenda pelo menos os requisitos de sistema recomendados.

Software necessário


O IDE NetBeans é executado na Atualização 12 do J2SE JDK 5.0 (Kit de desenvolvimento do Java SE) e superior (inclusive o JDK 6.0), que consiste no NetBeans, além das ferramentas do desenvolvedor para as aplicações de compilação, depuração e execução escritos em linguagem Java.

É possível baixar JDK para sua plataforma em um dos sites relacionados abaixo:

Nota: você pode fazer o download de versões arquivadas do JDK em http://java.sun.com/products/archive/index.html.

superior


Compatibilidade


Quando você executa o IDE pela primeira vez, pode importar um subconjunto de configurações usadas no IDE NetBeans 5.5. Se você optar por não importar as configurações da versão anterior, o IDE será iniciado usando as configurações padrão.

Nota: o IDE reconhece somente as instalações anteriores onde o diretório do usuário reside na localização padrão. O IDE não reconhece as instalações nas quais você especificou um diretório de usuário usando o switch --userdir. Se desejar importar as configurações de um IDE que o instalador não reconhece, baixe uma versão de arquivamento do IDE, em vez de usar o instalador.

Observação: Se você editar no NetBeans IDE 6.0 as propriedades de um projeto criado no NetBeans IDE 4.1 ou anterior, o projeto não funcionará mais em versões anteriores do NetBeans IDE.


superior


Editor SQL e bancos de dados

Foram realizadas alterações na funcionalidade do Visual SQL Editor e de banco de dados do NetBeans 6.0. Elas são as seguintes:

  • Visual SQL Editor: citação
    O NetBeans não coloca mais aspas em identificadores ao criar objetos de banco de dados. Como resultado, você não precisa mais se preocupar com a colocação de aspas em identificadores ao editar e executar instruções SQL em objetos criados no Database Explorer. Se desejar colocar aspas em seu identificador, você pode fazer isso colocando aspas manualmente no identificador do Database Explorer ao criar sua tabela, coluna, índice ou visualização. Além disso, não colocamos mais aspas em identificadores automaticamente ao gerar SQL; por exemplo, quando criamos o código SQL do comando 'Visualizar dados'. Em vez disso, colocamos aspas somente em um ou mais caracteres no identificador se um caractere precisa ter aspas (normalmente qualquer coisa ao lado de A-Z,a-z,0-9 e _).
  • Bancos de dados: salvando a senha da conexão
    Na versão de pré-lançamento 1 do NetBeans, ao abrir uma conexão do banco de dados, você pode optar por salvar a senha. Quando uma senha de conexão é salva ao selecionar Conectar, a conexão é estabelecida automaticamente, sem apresentar a caixa de diálogo. Se desejar desativar o armazenamento da senha, escolha Propriedades... da conexão e desmarque 'Salvar senha'. Na próxima vez em que você se conectar, a caixa de diálogo de conexão será exibida e você poderá digitar a senha. A senha de conexão é salva no diretório do usuário no arquivo XML da conexão. Se você estiver salvando senhas, certifique-se de que esses arquivos estejam seguros, tornando-os legíveis somente para você mesmo e não para os outros. Esses arquivos podem ser encontrados no diretório do usuário em config/Databases/Connections.
  • Drivers testados

    O NetBeans IDE 6.0 foi testado com os bancos de dados e drivers a seguir.

    Driver
    Versão
    URL de exemplo
    JavaDB Derby 10.3.1.4 jdbc:derby://localhost:1527/sample (Rede)
    Oracle Oracle Database 10g versão 2 (10.2.0.3) jdbc:oracle:thin:@//localhost:1521:ora9i
    PostgreSQL 8.2 Build 506 jdbc:postgresql://jbrave-pc1.sfbay.sun.com:5432/postgres
    MySQL MySQL Connector/J 5.0.7 jdbc:mysql://localhost:3306/sample
  • Outros drivers

    Os seguintes drivers e bancos de dados ainda não foram testados formalmente, mas deverão funcionar com base na experiência.

    Driver
    Versão
    URL de exemplo
    Microsoft Microsoft SQL Server 2005 JDBC Driver 1.1 jdbc:sqlserver://localhost:1433;databaseName=viagem;selectMethod=cursor
    IBM Redistributable JDBC Type driver v8 fixpack 13 db2_4_
    jdbc:db2://localhost:50002/sample
    jTDS jTDS 1.2.1 jdbc:jtds:sqlserver://rave-cheetah.sfbay.sun.com:1433/travel
    DataDirect DataDirect Connect for JDBC - 3.6
    DataDirect Connect for JDBC - 3.6.07
    jdbc:datadirect:oracle://localhost;SID=ora9i
    jdbc:datadirect:sqlserver://localhost:1433;DatabaseName=travel;SelectMethod=cursor
    jdbc:datadirect:db2://localhost:50002;databaseName=sample

 

superior


Problemas conhecidos: instalador

Os problemas do instalador não-resolvidos desta versão são os seguintes:

  • Problema nº 93568: no Solaris e no Linux, a instalação pára quando a conexão de rede é interrompida.

    Descrição: nas plataformas Solaris e Linux, se a conexão de rede é interrompida, a instalação pára quando o instalador está buscando um JDK compatível nos diretórios de rede.

    Solução alternativa: restabeleça a conexão de rede e prossiga com a instalação.

  • Problema nº 102781: em plataformas Macintosh, você poderá ter problemas de instalação ao usar o JDK 6.

    Descrição: nas plataformas Macintosh, se você estiver usando somente o JDK 6.0, poderá ter alguns problemas de instalação, pois essa versão do JDK não tem qualidade FCS. O JDK preferencial para o Mac OS é 1.5.0_07.

  • Problema nº 117172: uma janela em branco ao executar o instalador no Ubuntu.

    Descrição: o instalador é exibido como uma caixa de diálogo em branco/cinza ao ser executado no Ubunty com Beryl/Compiz/Compiz Fusion
    instalado.

    Solução alternativa: execute o comando export AWT_TOOLKIT=MToolkit antes de executar o instalador.

  • Problema nº 119861, Problema nº 117334: a instalação é interrompida com um erro quando o comando unpack200 é executado.

    Descrição: a instalação é interrompida com um erro durante a execução do comando unpack200. Esse erro pode ser causado pela aplicação Logitech Process Monitor (Webcam Effects Helper).

    Solução alternativa: se você tem a aplicação Logitech Process Monitor (Webcam Effects Helper) (LVPrcSrv.exe) em execução no sistema, desligue-o antes da instalação ou desinstalação.

  • Problema nº 122030: no Fedora Core 8, a instalação falha quando o JDK 7 é usado.

    Descrição: no Fedora Core 8, a instalação de GlassFish V2 falha quando o JDK 7 é usado (JDK7 IcedTea 64-Bit Server VM).

    Solução alternativa: para essa plataforma, use o JDK 5 ou o JDK 6.

  • O NetBeans 6.0.1 oferece uma instalação opcional do instalador do GlassFish V2 Ur1.

    Descrição: O 6.0.1 oferece uma instalação opcional do instalador do GlassFish V2 Ur1. Caso você tenha o NetBeans 6.0 instalado com o instalador do GlassFish V2, o V2 Ur1 será instalado em um diretório dedicado. O servidor GlassFish V2 Ur1 não é exibido no nó Servidores na janela Serviços porque não há uma instância do servidor registrada no IDE.

    Solução alternativa: Além de instalar esse serviço, para poder usá-lo, você deve adicioná-lo à caixa de diálogo Servidor embora ele ainda seja um tipo de servidor GlassFish V2. Na lista suspensa Ferramentas, selecione Servidores > Adicionar servidor > GlassFish V2, clique em Próximo e garanta a atualização da Localização da plataforma para incluir o diretório único "glassfish-v2-ur1" (por exemplo, c:\Program Files\glassfish-v2-ur1). Caso tenha o GlassFish V2 e o GlassFish V2 Ur1 instalado, quando criar um projeto, você verá o Servidor listado como "GlassFish V2(1)" como o segundo servidor GlassFish adicionado. Caso contrário, ele será GlassFish V2.

    Além disso, você pode remover o servidor GlassFish V2, usando o desinstalador do NetBeans 6.0. Semelhantemente, para remover o servidor GlassFish V2 Ur1, use o desinstalador do NetBeans 6.0.1.

  • A página Download do NetBeans IDE 6.0.1 não é exibida no idioma selecionado na lista suspensa Escolher idioma da página.
  • Descrição: A página Download é exibida no idioma que é especificado como padrão para o navegador usado. Se você estiver usando uma versão não-localizada do navegador, o idioma padrão do navegador é inglês. Nesse caso, escolher outro idioma na lista suspensa Escolher idioma da página na página Download não tem efeito.

    Solução alternativa: as versões localizadas para chinês, japonês e português do Brasil do navegador Firefox permitem a abertura de uma página Download localizada. Para visualizar a página Download em chinês, japonês ou português do Brasil, selecione o idioma relevante na lista suspensa Escolher idioma da página na parte superior da página Download.

superior


Problemas conhecidos: IDE do núcleo

Os problemas não-solucionados desta versão são os seguintes:

  • Dificuldades para iniciar o IDE (Solaris x86 e Dual-Core Opteron).

    Descrição: em certas configurações do Solaris x86 e do Dual Core Opteron, você poderá encontrar problemas para iniciar o IDE devido a um bug do JDK ao carregar as bibliotecas GTK look&feel.

    Solução alternativa: se você enfrentar esse comportamento, especifique a seguinte opção de linha de comando:-laf javax.swing.plaf.metal.MetalLookAndFeel

  • Os caracteres não são exibidos adequadamente em alguns locais asiáticos.

    Descrição: ao se executar o IDE em alguns locais asiáticos no Ubuntu 6.x e em algumas outras distribuições de Linux, o texto da tela do IDE pode se tornar ilegível. Em determinadas distribuições do Linux, os caracteres multibytes podem ser exibidos em forma de retângulo devido a problemas de configuração de fonte do JDK.

    Solução alternativa: como não há nenhuma solução alternativa para esse problema, recomenda-se uma distribuição de Linux alternativa, caso você utilize um local sujeito a esse comportamento. Observe que esse problema não ocorre no Ubuntu 7.x, Red Hat Enterprise Linux 3.

  • Problema nº 64840: comunicação de rede interrompida no Linux com IPv6 ativado.

    Descrição: comunicação de rede interrompida no Linux com IPv6 ativado, impedindo a conexão do IDE com servidores empacotados, atualização automática etc.

    Solução alternativa: se isso acontecer, execute o IDE usando a chave -J-Djava.net.preferIPv4Stack=true'. Como alternativa, desative o IPv6 (em /etc/modules.conf ou /etc/modprobe.conf).

    Para obter mais informações, consulte:Problema nº 5087907.

  • Problema nº 62919: aplicação com perfil pode falhar ao se tirar um instantâneo de memória.

    Descrição:na criação de perfil para aplicações, a aplicação com perfil poderá falhar quando você tentar tirar um instantâneo de memória.

    Solução alternativa: inicie a aplicação para a qual você quer traçar um perfil com a chave -Xnoclassgc.

  • Problema nº 110074: o editor congela periodicamente no Solaris.

    Descrição: ao executar o IDE no Solaris com JDK 6, 6u1 ou 6u2, os segmentos podem ficar bloqueados por um longo período de tempo e fazer com que o editor não responda.

    Solução alternativa: migre sua instalação de JDK 6 para a Atualização 3 ou mais recente.

  • Problema nº 88776: aplicação com perfil traçado pode falhar quando a criação de perfil é realizada no modo de conexão dinâmica.

    Descrição:ao executar no JDK 1.6, a criação de perfil em uma aplicação com modo de conexão dinâmica pode levar a aplicação a falhar.

    Solução alternativa: inicie a aplicação para a qual você deseja criar um perfil com o switch -Xshare:off.

    Consulte também: Problema nº 113847.

  • Problema do JDK 6 nº 389282: As aplicações Java que contêm formulários Swing ou AWT GIU não devem ser executadas em chinês e japonês no Linux durante o uso do JDK 6.

    Descrição: as aplicações Java com formulários Swing ou AWT GUI criadas no IDE talvez não possam ser executadas em localidades em japonês e chinês do Linux com o JDK 6 instalado.

    Solução alternativa: use o JDK 5.0 ou execute os projetos de locais em inglês.

superior


Problemas conhecidos: Web e Java EE

Os problemas não-resolvidos de Web e Java EE para esta versão são os seguintes:

  • Kit Visual Web JSF Backwards Compatibility
    Descrição: o kit Visual Web JSF Backwards Compatibility fornece bibliotecas suplementares exigidas pelo projetista Visual Web para oferecer suporte a projetos baseados em J2SE 1.4 ou J2EE 1.4. Essas bibliotecas não têm código-fonte aberto e, portanto, são distribuídas como um plug-in separado do NetBeans. O kit instalará as seguintes bibliotecas exigidas para projetos J2EE 1.4:
    • JavaServer Faces 1.1 Reference Implementation (RI)
    • Rowset Reference Implementation (RI)
    • Bibliotecas JAX-RPC do JWSDP 1.6

    Para obter o kit Backwards Compatibilty, no menu principal, escolha Ferramentas > Plug-ins.

  • Notas de versão dos componentes JSF do Woodstock 4.1 e 4.2
    Descrição: as notas de versão dos componentes JSF do Woodstock 4.1 e 4.2 se encontram no site Project Woodstock, no endereço http://java.net/projects/woodstock/. A versão que acompanha o IDE NetBeans 6.0.1 é a versão 11.
  • Sem suporte a componentes de amostra Ajax
    Descrição: os componentes de amostra Blue Prints não são aceitos nessa versão porque eles se baseiam em uma versão antiga do Dojo que não é mais compatível com as versões posteriores. Os componentes Woodstock incluídos no NetBeans dependem de versões mais recentes das APIs Dojo para renderização do lado do cliente. Para a maioria dos componentes BP Ajax usados mais amplamente (aceitos no NetBeans 5.5), existe uma funcionalidade equivalente disponível no Project woodstock, como listado abaixo.
    • Auto-completar - Este blog (http://blogs.sun.com/dmitry/entry/creating_autocomplete_entry_field_with ) descreve como alcançar funcionalidade semelhante com componentes da biblioteca Project Woodstock.
    • Calendário pop up - o Project Woodstock inclui um componente Calendário.
    • Selecionar campo Valor - use auto-completar que possui funcionalidade semelhante mas IU diferente.
    • Barra de progresso - o Project Woodstock inclui um componente Barra de progresso.
    • Google Map - planejado para o futuro.
    • Componente de classificação - planejado para o futuro.
    • Editor RichText - não suportado.

    Para obter o kit Backwards Compatibilty, no menu principal, escolha Ferramentas > Plug-ins.

  • Problema nº 114951: o fechamento/salvar tudo repetido de um projeto o torna impossível de salvar.

    Descrição: erro intermitente, no qual o IDE não grava o arquivo e, eventualmente, retorna erros de arquivo do código-fonte.

    Solução alternativa: nenhuma.

  • Problema nº 114453: a implantação falha se o NetBeans e o GlassFish não estiverem sendo executados na mesma versão de Java.

    Descrição: se o NetBeans está sendo executado no JDK 1.6.x, então, o Glassfish deve estar em execução no JDK 1.6.x. Se o GlassFish estiver sendo executado em um JDK anterior, a implantação falhará com java.lang.UnsupportedClassVersionError.

    Solução alternativa: nenhuma.

  • Problema nº 113888: os temas do Woodstock são incompatíveis com a migração de projetos do NetBeans IDE 5.5/5.5.1 para o NetBeans 6.0. Esse problema está relacionado com o Problema nº 99063, elemento de corpo ausente alternando para novo tema do Woodstock.

    Descrição: os projetos com temas personalizados e migrados para o IDE NetBeans 6.0 produzirão erros de elemento de corpo ausente.

    Solução alternativa: alterne manualmente para o tema padrão antes de migrar. Temas personalizados não funcionarão e precisarão ser reconstruídos.

  • Problema nº 92009: suporte ausente para JSF de classes de entidade.

    Descrição: não é possível usar JSF Pages a partir do Assistente de Classes de entidade para gerar páginas JSF.

    Solução alternativa: nenhuma. Essa funcionalidade não está indisponível no momento para esta versão.

  • Problema 94193: não é possível editar propriedades de bean na janela Tópicos ou por meio de pacotes de código-fonte na janela Projetos.

    Descrição: no IDE NetBeans 6.0, o item Adicionar menu fica desativado na janela Navegador e não há nenhuma funcionalidade para editar as propriedades por meio de pacotes de código-fonte.

    Solução:

    1. Clique duas vezes em SessionBean1 (ou em outro arquivo java) para abrir o bean no editor do Java.
    2. Adicione a propriedade manualmente, como private String CustomerId;.
    3. Clique com o botão direito do mouse na propriedade e escolha Gerar código.
    4. No menu pop-up Gerar, selecione Getters e setters.
    5. Na caixa de diálogo Gerar getters e setters de SessionBean1, selecione a propriedade e pressione OK.

      Os métodos getter e setter públicos são inseridos após a propriedade.

  • Problema nº 95022: o redimensionamento do campo de texto e de outros componentes não funciona.

    Descrição: devido a uma alteração nos componentes do Woodstock, as alças de redimensionamento foram removidas dos seguintes componentes do Woodstock: TextField, TextArea,PasswordField, DropDown e ListBox. Esse problema afeta especialmente os projetos importados do Java Studio Creator e do NetBeans Visual Web Pack 5.5/5.5.1. Os componentes redimensionados podem ter aparência diferente de versões anteriores.

    Solução alternativa: para os componentes TextField e TextArea, use os atributos de colunas e linhas, respectivamente. Os componentes DropDown e ListBox são redimensionados automaticamente pelo navegador no tamanho do item mais longo.

  • Quando exibidos no IE7, todos os componentes de botão podem ser processados com uma largura incorreta.

    Descrição: quando um botão é colocado com o posicionamento absoluto, sua largura fica incorreta. Por exemplo, quando o IDE NetBeans 6.0 usar o posicionamento absoluto para colocar componentes no Modo de layout de grade, esse problema poderá ocorrer.

    O IE7 espera um valor a ser especificado para a largura dos botões. Se um atributo de largura não for especificado, a largura será definida como largura:automática, o que resultará na definição da largura do botão em toda a largura disponível do elemento de recipiente do botão. Por exemplo, se o estilo do botão for esquerda=130px, então o botão começará em 130px à esquerda e se expandirá até a largura do elemento <body> .

    Solução alternativa: existem várias maneiras diferentes de resolver esse problema no NetBeans:

    • Especifique a propriedade de largura do botão ou redimensione o botão no IDE para fazer com que o IDE atribua uma largura para o botão.
    • No IDE, solte o botão no componente Grupo de painéis para colocar o botão dentro de uma marca de span. Neste caso, não é preciso definir o posicionamento quando o IDE define o posicionamento do componente Grupo de painéis. Por exemplo, o código JSP de um botão dentro do componente Grupo de painéis pode ser o seguinte:
      <webuijsf:panelGroup binding="#{Page1.groupPanel1}" id="groupPanel1" style="position: absolute; left: 240px; 
      top: 168px">
      <webuijsf:button binding="#{Page1.button1}" id="button1" text="Button"/> </webuijsf:panelGroup>
  • Problema nº 106299: faces-config.xml de projetos Visual Web JSF não contém mais a seção de local, como em versões anteriores.

    Descrição: faces-config.xml tinha a seção comentada relacionando o modo como indicar outros locais, com algumas linhas para certos locais como exemplo. Os usuários agora devem adicionar essas linhas manualmente, verificando se o nome das localidades de seu interesse estão na seção de localidades aceitas.

    Solução alternativa: adicione manualmente a localidade desejada à seção de localidades do arquivo faces.config.xml. Aqui está um exemplo de como o código deve aparecer:

    <aplicação>
    <locale-config>
    <default-locale>en</default-locale>
    <supported-locale>localidade desejada</supported-locale>
    </locale-config>
    </aplicação>

    Consulte também Problema nº 103085

superior


Problemas conhecidos: Mobility


O Mobility do NetBeans 6.0 permite que você desenvolva aplicações baseadas em Java ME para dispositivos MIDP, CLDC e CDC.

Os problemas não-solucionados do Mobility nesta versão são os seguintes:

  • Os sistemas operacionais Mac OS, Solaris e outros não são compatíveis.

    Descrição: o pacote Mobility 6.0 e o Sun Java Wireless Toolkit 2.5.2 para CLDC em pacote com esta versão suportam somente as plataformas Windows e Linux.

    Solução alternativa: os usuários de Mac OS e outros sistemas operacionais não compatíveis que desejam usar o pacote Mobility podem consultar as instruções para instalação de distribuições zip.

  • O desenvolvimento de aplicações CDC (Connected Device Configuration) exige a instalação de um simulador de plataforma CDC.

    Descrição: o Sun Java Toolkit 1.0 para CDC não está presente no mesmo pacote da versão 6.0, como acontecia com o pacote Mobility anterior para versões de CDC.

    Solução alternativa: baixe o Sun Java Toolkit 1.0 for CDC a partir da Sun Developer Network. A seção de perguntas freqüentes do NetBeans tem instruções que descrevem como instalar e registrar o CDC Toolkit no IDE.

  • O suporte End to End não é ativado com a instalação do Mobility NetBeans 6.0.

    Descrição: aplicações móveis não podem ser conectadas a uma empresa usando a distribuição Mobility do NetBeans 6.0.

    Solução alternativa: instale o plug-in Mobility End to End.

    1. No menu principal do IDE, vá para Ferramentas > Plug-ins.
    2. Na caixa de diálogo Plug-ins, clique na guia Plug-ins disponíveis.
    3. Na coluna Nome da guia Plug-ins disponíveis, localize Mobility End to End.
    4. Marque a caixa ao lado de Mobility End to End e clique em Instalar.
    5. A caixa de diálogo Instalador do IDE NetBeans mostra os plug-ins que vão ser instalados. Se forem necessários plug-ins adicionais, o IDE os selecionará automaticamente. Clique em Avançar.
    6. Um contrato de licença poderá ser exibido em seguida. Para ativar a funcionalidade End to End, aceite o contrato e clique em Instalar.

    Nota: você também pode ativar a funcionalidade End to End instalando a distribuição completa do NetBeans 6.0.

  • O pacote Mobility não será executado se um nome de diretório, um caminho para o diretório de instalação ou um diretório de usuário contiver caracteres não-ASCII.

    Descrição: o Sun Java Wireless Toolkit não oferece suporte a caracteres não-ASCII em caminhos de projeto.

    Solução alternativa: certifique-se de que o diretório de usuário não contenha caracteres não-ASCII. Se contiver, mude o diretório de usuário padrão do IDE.

  • Gerar um cliente de serviço Web a partir de WSDL com classes "complexas" resulta em um código incompleto e impossível de compilar.

    Descrição: o IDE cria classes que não podem ser compiladas ao gerar um cliente de serviço Web com classes complexas.

    Solução alternativa: faça com que os QNames dos nomes de elemento de primeiro nível sejam exclusivos. Por exemplo, altere-os para return1, return2 etc.

  • Problema nº 6389282 do JDK 6: locais de Linux em chinês e japonês com o JDK 6 não executam projetos.

    Descrição: os projetos de aplicação móvel criados no NetBeans não podem ser executados em locais de Linux em japonês ou chinês com o JDK 6 instalado.

    Solução alternativa: use o JDK 5.0 ou execute os projetos de locais em inglês.

superior


Problemas conhecidos: UML


A UML do NetBeans 6.0 permite explorar e avaliar a funcionalidade UML no IDE. Pedimos que você participe e nos dê sua opinião, registrando quaisquer problemas encontrados no sistema de rastreamento de problemas em https://netbeans.org/community/issues.html.

Nota: atualmente, a UML do NetBeans 6.0 não oferece suporte à plataforma Macintosh OS X. A UML está disponível para a plataforma Macintosh OS X por meio do NetBeans Plugin Manager. Consulte o NetBeans wiki para conhecer os problemas do Mac para UML, http://wiki.netbeans.org/wiki/view/UMLMacIssues para obter mais informações sobre os problemas conhecidos com o Macintosh OS X e suas soluções alternativas.

Problema nº 123102: os caracteres não-ASCII talvez sejam exibidos incorretamente após a geração do código, em alguns casos

Descrição: a geração de código UML usa a codificação de sistema padrão em vez da codificação do projeto java e isso significa que caracteres não-ASCII talvez não sejam vistos e processados corretamente, se a codificação do projeto java não for a mesma que a codificação da localidade em que o usuário estiver executando o NetBeans IDE.

Solução alternativa: antes de adicionar arquivos ou código ao projeto Java, ou gerar o código usando a funcionalidade UML, altere a propriedade de codificação do projeto Java para a propriedade da codificação padrão da localidade em que o NetBeans IDE foi iniciado, caso não sejam as mesmas.

Por exemplo, quando o NetBeans IDE se inicia, a codificação de projeto padrão é utf-8. Mas se a codificação da localidade em que o usuário está não for utf-8 (como seria o caso na plataforma Windows), você deve alterar a codificação do projeto Java para a propriedade da codificação padrão dessa localidade.

superior


Problemas conhecidos: SOA


Esta versão de NetBeans SOA 6.0 permite explorar e avaliar a nova funcionalidade no IDE. Pedimos que você participe e nos dê sua opinião, registrando quaisquer problemas encontrados no sistema de rastreamento de problemas em https://netbeans.org/community/issues.html.

Os problemas de SOA não-solucionados nesta versão são os seguintes:

  • Para usar o Sun Java System Access Manager, você precisa instalar o download completo do IDE e a Java Application Platform SDK Atualização 3 Beta ou posterior, a partir do endereço http://java.sun.com/javaee/downloads/index.jsp. Para obter mais informações sobre as etapas exigidas para instalar o Access Manager, consulte Instalando o Sun Java System Access Manager.
  • Problema nº 114174: arquivos WSDL editados manualmente pelo CASA lançam a exceção de ponteiro nulo na saída build.xml.

    Descrição: o CASA não oferece suporte à edição do usuário de seus arquivos gerados e não fornece nenhum aviso quando um usuário realiza esse procedimento.

    Solução alternativa: não edite arquivos WSDL gerados pelo CASA. A edição manual de arquivos WSDL não é compatível e causará resultados inesperados.

  • Problema nº 114171: os arquivos WSDL editados, gerados pelo CASA manualmente lançam exceções de estado inválido.

    Descrição: se o usuário introduz erros manualmente em um arquivo WSDL gerado pelo CASA, o IDE lança exceções de estado inválido.

    Solução alternativa:é melhor não editar documentos gerados pelo CASA manualmente.

  • Problema nº 110218: máquinas mais lentas com menos memória RAM encontram problemas de sincronização com o CASA.

    Descrição: o IDE lança exceções NPE e IllegalState em máquinas mais lentas com quantidades menores de memória RAM

    Solução alternativa:se for solicitado a recarregar o arquivo WSDL, não faça isso.

  • Problema nº 84622: o IDE não reverte a recuperação do(s) arquivo(s) WSDL após cancelar a caixa de diálogo PartnerLink.

    Descrição: se você cancelar a caixa de diálogo PartnerLink que é exibida ao arrastar um arquivo WSDL ou um nó do serviço Web de um projeto NetBeans para um diagrama, o IDE não reverte a recuperação do(s) arquivo(s) WSDL.

    Solução alternativa: se esses arquivos não forem necessários para o projeto, basta excluí-los manualmente da janela Projetos, como você faria com qualquer outro recurso de projeto.

  • Problema nº 112344: a ação de arrastar e soltar no modo de exibição em árvore do editor de esquemas XML pode lançar exceções.

    Solução alternativa: use JDK 1.6.0_02 ou posterior.

  • Problema nº 121834: I18N - uma aplicação composta que contém um projeto de módulo cujo nome tem caracteres de vários bytes (isto é, não-ASCII) não pode ser implantado.

    Solução alternativa: use caracteres ASCII em nomes de projeto de módulo.

  • Problema nº 96237: o XSLT Designer não oferece suporte a mensagens definidas em tipos complexos, simples ou embutidos.

    Descrição: nesta versão, o XSLT Designer não oferece suporte a mensagens declaradas em WSDL usando o atributo type="...". Somente as declarações com o atributo element="..." são compatíveis.

  • Problema nº 113389: o XSLT Service Engine não oferece suporte à execução de serviços XSLT do tipo Service Bridge.

    Descrição: nesta versão, o XSLT Service Engine não oferece suporte à execução de serviços XSLT do tipo Service Bridge.

    Solução alternativa: instale a versão mais recente do XSLT Service Engine e a biblioteca compartilhada Transform:

    1. Baixe o XSLT Patch.
    2. Descompacte os arquivos contendo os jars do instalador em uma pasta local.
    3. Na janela Serviços, inicie o GlassFish V2 Application Server.
    4. Expanda o nó Servidores > GlassFish V2 > JBI > Service Engines.
    5. Clique com o botão direito do mouse em sun-xslt-engine e selecione Desinstalar.
    6. Expanda o nó Servidores > GlassFish V2 > JBI > Shared Libraries.
    7. Clique com o botão direito do mouse em sun-transform-library e selecione Desinstalar.
    8. Clique com o botão direito do mouse no nó Shared Libraries e selecione Instalar nova biblioteca compartilhada.
      Vá até a pasta local que contém os jars de instalação do download, selecione transformlib.jar e selecione Instalar.
    9. Clique com o botão direito do mouse no nó Service Engines e selecione Instalar novo mecanismo de serviço.
      Vá até a pasta local que contém os jars de instalação do download, selecione xsltserviceengine.jar e selecione Instalar.

superior


Problemas conhecidos: C/C++


O NetBeans 6.0 C/C++ oferece suporte a aplicações C e C++ nos sistemas operacionais Microsoft Windows, Macintosh OS X, Linux e SolarisTM. Os desenvolvedores de C/C++ podem trazer as aplicações existentes para o sistema de projeto NetBeans ou desenvolver novas aplicações e bibliotecas. O suporte para C/C++ do NetBeans abrange o ciclo de desenvolvimento completo: projetos e modelos, um editor com reconhecimento de linguagem avançado, construções baseadas em makefile e depuração.

Para obter informações sobre a instalação e a configuração dos compiladores e das ferramentas para suporte do NetBeans C/C++, consulte Instalando e configurando o suporte para C/C++.

Os problemas C/C++ não-solucionados nesta versão são os seguintes:

  • Problema nº 121776: ocasionalmente, o código Sun Studio compilado tem problemas para ser depurado com gdb

    Descrição: nos sistemas operacionais Solaris e Linux, o código compilado com os compiladores Sun Studio nem sempre pode ser depurado corretamente com o depurador gdb. A maioria dos problemas conhecidos está corrigida no software Sun Studio 12, mas existem muitos outros. Se você tiver problemas para depurar programas compilados com compiladores Sun Studio 12, a primeira coisa a fazer é aplicar os patches do produto Sun Studio 12 mais recentes. Se o problema persistir, registre o defeito em Issuezilla e torne essa tarefa dependente da solução.

    À medida que os problemas forem encontrados, abriremos novos problemas e atualizaremos esta tarefa de acordo com eles, fornecendo algumas idéias do estado atual da depuração de programas compilados com compiladores Sun Studio 12 usando NetBeans e o depurador gdb.

    Esses problemas não afetam a depuração do código compilado com compiladores Sun Studio 12 usando o IDE Sun Studio 12 e o depurador dbx.

  • Problema nº 121775: é necessário o Xcode mais recente para depurar o Tiger (Mac OS X 10.4)

    Descrição: ao depurar no Macintosh com Tiger (Mac OS X 10.4), a versão padrão dos compiladores gcc e g++ gera o código com um bug na saída da depuração. A Apple lançou um pacote Xcode atualizado (versão 2.5) com uma correção para esse problema. As versões corretas de gcc, g++ e gdb são:

    gcc: 4.0.1 - Apple versão 5367
    g++: 4.0.1 - Apple versão 5367
    gdb: 6.3.50 - Apple versão 573 (10/20/2006)

    Para fazer o download dessa versão de Xcode, consulte http://developer.apple.com/tools/download.

    Esse problema não existe no Leopard (Mac OS X 10.5).

    Os sintomas do problema são que os executáveis compilados com o flag -gdwarf (o padrão para projetos de aplicação em C/C++) têm informações de linhas incorretas e os pontos de interrupção talvez devam ser ignorados.

superior


Mais informações


É possível encontrar notícias, artigos, módulos adicionais e outras informações úteis no site do projeto NetBeans. Já que o NetBeans é um projeto de código aberto, o site também oferece acesso a código-fonte, banco de dados de erros, informações sobre a criação de módulos do NetBeans e muito mais. Para obter mais informações, visite http://www.netbeans.org.

Documentação

Para aproveitar ao máximo a nova funcionalidade contida no IDE NetBeans 6.0, confira a série contínua de tutoriais e vídeos em flash baseados na Web. Continue visitando essas páginas, pois estamos adicionando conteúdo novo o tempo todo.

O sistema de ajuda embutido do IDE NetBeans 6.0 não foi atualizado para refletir as alterações feitas na interface do usuário desde a versão 5.5. O sistema de ajuda embutido será atualizado a tempo para o FCS.


Nota: se você estiver executando o IDE NetBeans no Mac OS X, consulte Usando NetBeans no Mac OS X para obter mais informações sobre equivalências de teclado, dicas, truques e outros assuntos específicos do Mac.

Comunidade

Você também pode manter-se atualizado sobre o IDE NetBeans e interagir com a comunidade NetBeans inscrevendo-se nas listas de distribuição do projeto NetBeans, no endereço https://netbeans.org/community/lists/index_pt_BR.html.


superior


Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2013, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo